Package io.dapr.v1

# Class AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase

java.lang.Object
io.dapr.v1.AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase

All Implemented Interfaces:
  `AppCallbackHealthCheckGrpc.AsyncService`, `io.grpc.BindableService`

Enclosing class:
  AppCallbackHealthCheckGrpc

public abstract static class AppCallbackHealthCheckGrpc.AppCallbackHealthCheckImplBase extends Object implements io.grpc.BindableService, AppCallbackHealthCheckGrpc.AsyncService
Base class for the server implementation of the service AppCallbackHealthCheck.

     AppCallbackHealthCheck V1 is an optional extension to AppCallback V1 to implement
     the HealthCheck method.

## Constructor Summary

Constructors
Constructor
Description
`AppCallbackHealthCheckImplBase()`

## Method Summary

Modifier and Type
Method
Description
`final io.grpc.ServerServiceDefinition`
`bindService()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.dapr.v1.AppCallbackHealthCheckGrpc.AsyncService

`healthCheck`

## Constructor Details

### AppCallbackHealthCheckImplBase

public AppCallbackHealthCheckImplBase()

## Method Details

### bindService

public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`